[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.LoadFromStream

Restores the layout of the docksite from Stream.

## Declaration

Source position: controls.pp line 514

`public procedure TDockManager.LoadFromStream(`
`Stream: TStream`
`); virtual; abstract;`

## Description

The controls to be docked can be retrieved by ReloadDockedControl from the docksite; this method returns only existing controls of the given name, owned by the owner of the docksite, by default.

## See also

TWinControl.ReloadDockedControl |  | Returns the docked control of the specified name.
TDockManager.SaveToStream |  | Saves the docksite layout to Stream.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.